#include "aabb.h"

AABB::AABB(V3 firstPoint) : c0(firstPoint), c1(firstPoint) {};

void AABB::AddPoint(V3 p) {

	for (int i = 0; i < 3; i++) {
		if (p[i] < c0[i])
			c0[i] = p[i];
		if (p[i] > c1[i])
			c1[i] = p[i];
	}

}

float AABB::GetDiagonal() {

	return (c1 - c0).Length();

}


