#pragma once

#include "v3.h"

class FrameBuffer;

class PPC {
public:
	V3 a, b, c, C;
	int w, h;
	PPC(float hfov, int _w, int _h);
	int Project(V3 p, V3 &pp);
	V3 GetVD();
	float GetFocalLength();
	void ChangeFocalLength(float scf);
	void PositionAndOrient(V3 C1, V3 L1, V3 vpv);
	void Pan(float angled);
	void Visualize(PPC *ppc3, FrameBuffer *fb3, float vf);
};